LibreOffice LibreOffice 7.2 SDK API Reference

Modules | Variables
DictionaryEventFlags.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::linguistic2
| Spell checker, hyphenation and thesaurus interfaces.

## Constant Groups
constants | com::sun::star::linguistic2::DictionaryEventFlags
| flags used for the event type in dictionary events.

## Variables
const short | ADD_ENTRY = 1
| indicates that at least one entry has been added. More...
const short | DEL_ENTRY = 2
| indicates that at least one entry has been deleted. More...
const short | CHG_NAME = 4
| the dictionary's name has changed. More...
const short | CHG_LANGUAGE = 8
| the dictionary's language has changed. More...
const short | ENTRIES_CLEARED = 16
| all entries have been removed. More...
const short | ACTIVATE_DIC = 32
| used when the dictionary was activated. More...
const short | DEACTIVATE_DIC = 64
| used when the dictionary was deactivated. More...